MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable Represents bitmap images and bitmap masks.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  Requested image width.
  Requested image height.
  Number of bits used per components.
  Number of bits per pixel.
  Number of bytes per row.
  The colorspace to use.
  Configurationf flags.
  The data provider for this bitmap
  If this value is non-null, the array should contain pairs of (low,high) values for each channel that will be used to interpolate each component in the image. The interpolation is a simple linear interpolation from the source range to the low,high range. An RGB buffer would have 6 elements (two for each channel).
  Whether edges will be smoothed out
  Determines how to handle colors that are outside of the requested colorspace.
  Creates an image.
- Constructor
  0.0.0.0
  Requested image width.
  Requested image height.
  Number of bits used per components.
  Number of bits per pixel.
  Number of bytes per row.
  The colorspace to use.
  Configurationf flags, you can use this to configure the presence of an Alpha channel and the bitmap format.
  The data provider for this bitmap
  If this value is non-null, the array should contain pairs of (low,high) values for each channel that will be used to interpolate each component in the image. The interpolation is a simple linear interpolation from the source range to the low,high range. An RGB buffer would have 6 elements (two for each channel).
  Whether edges will be smoothed out
  Determines how to handle colors that are outside of the requested colorspace.
  Creates an image using a specified AlphaInfo
- Property
  0.0.0.0
  MonoMac.CoreGraphics.CGImageAlphaInfo The bitmap configuration. The configuration of the image
- Property
  0.0.0.0
  MonoMac.CoreGraphics.CGBitmapFlags The bitmap configuration. The configuration of the image.
- Property
  0.0.0.0
  System.Int32 Bits per component The number of bits used per component in the image.
- Property
  0.0.0.0
  System.Int32 The number of bits per pixel. The number of bits used per pixel.
- Property
  0.0.0.0
  System.Int32 The number of bytes per row in the image. The number of bytes used per row.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage Makes a copy of the image. Duplicates the image.
- Property
  0.0.0.0
  MonoMac.CoreGraphics.CGColorSpace The image colorspace.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. Creates an image mask.

  Image masks can be 1, 2, 4 or 8 bits per component. 1-bit masks are the simplest ones as they either allow painting (the mask is set to zero) or not (the mask bit is set to one). For 2, 4 and 8 the values the values are interpolated between the possible range.

  Masks are used to filter how drawings are taking place. Zero values in a mask allow painting to take place, a value of one would mask out the rendering.

- Property
  0.0.0.0
  MonoMac.CoreGraphics.CGDataProvider To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single* To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the CGImage object.

  The Dispose method releases the resources used by the CGImage class.

  Calling the Dispose method when you are finished using the CGImage ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CGImage object.

  This Dispose method releases the resources used by the CGImage class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CGImage ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void Finalizer for the CGImage object
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` `` `` `` The data provider that contains a JPEG-encoded image. If this value is non-null, the array should contain pairs of (low,high) values for each channel that will be used to interpolate each component in the image. The interpolation is a simple linear interpolation from the source range to the low,high range. An RGB buffer would have 6 elements (two for each channel). Whether edges will be smoothed out Determines how to handle colors that are outside of the requested colorspace. Creates a CGImage from a JPEG-encoded image.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` `` `` `` The data provider that contains a PNG-encoded image. If this value is non-null, the array should contain pairs of (low,high) values for each channel that will be used to interpolate each component in the image. The interpolation is a simple linear interpolation from the source range to the low,high range. An RGB buffer would have 6 elements (two for each channel). Whether edges will be smoothed out Determines how to handle colors that are outside of the requested colorspace. Creates a CGImage from a PNG-encoded image.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Int32 The image height in pixels.
- Property
  0.0.0.0
  System.Boolean Whether this image is a mask or a bitmap.
- Property
  0.0.0.0
  MonoMac.CoreGraphics.CGColorRenderingIntent The rendering intent. The intent determines how to handle colors that are outside of the requested colorspace.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Boolean Whether interpolation is enabled for this image. If the value is true, then Quartz will perform edge smoothing on the image.
- Property
  0.0.0.0
  System.Int32 The image width in pixels.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` To be added. Creates a copy of the image based on the specified colorspace. This method could return null if the image is a mask, or if there is a colorspace component mismatch between the images.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` Region to copy. Creates a new image with the dimensions specified in the rectangle
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` The mask. Creates a new image that has been masked with the specified mask.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` Array contains pairs of (min,max) floats for each component. Creats a new image by masking the values in the image with the specified components. If the image has three components (RGB for example) the components array should contains six values.